package com.hzs.common.core.utils;

import com.github.pagehelper.PageHelper;
import com.hzs.common.core.utils.sql.SqlUtil;
import com.hzs.common.core.web.page.PageDomain;
import com.hzs.common.core.web.page.TableSupport;

/**
 * 分页工具类
 *
 * @author hzs
 */
public class PageUtils extends PageHelper {

    /**
     * 设置请求分页数据
     *
     * @param pageParam 分页参数（pageParam[0]: 每页多少条）
     */
    public static void startPage(Integer... pageParam) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        if (pageParam.length > 0) {
            pageSize = pageParam[0];
        }
        String orderBy = SqlUtil.escapeOrderBySql(pageDomain.getOrderBy());
        Boolean reasonable = pageDomain.getReasonable();
        PageHelper.startPage(pageNum, pageSize, orderBy).setReasonable(reasonable);
    }

    /**
     * 清理分页的线程变量
     */
    public static void clearPage() {
        PageHelper.clearPage();
    }
}
